# _PTP_USB Struct Reference

## Data Fields
PTPParams * | params
usb_dev_handle * | handle
uint8_t | interface
int | inep
int | inep_maxpacket
int | outep
int | outep_maxpacket
int | intep
int | timeout
int | callback_active
uint64_t | current_transfer_total
uint64_t | current_transfer_complete
LIBMTP_progressfunc_t | current_transfer_callback
void const * | current_transfer_callback_data
LIBMTP_raw_device_t | rawdevice

## Field Documentation

int _PTP_USB::callback_active

File transfer callbacks and counters

LIBMTP_raw_device_t _PTP_USB::rawdevice

Any special device flags, only used internally

Referenced by configure_usb_device(), and dump_usbinfo().

The documentation for this struct was generated from the following file:

- /tmp/libmtp-1.0.1/src/libusb-glue.h